org.apache.lucene.sandbox.queries

## Class SlowCollatedTermRangeTermsEnum

- java.lang.Object
- - org.apache.lucene.index.TermsEnum
  - - org.apache.lucene.index.FilteredTermsEnum
    - - org.apache.lucene.sandbox.queries.SlowCollatedTermRangeTermsEnum

- All Implemented Interfaces:
    BytesRefIterator

  Deprecated.
  Index collation keys with CollationKeyAnalyzer or ICUCollationKeyAnalyzer instead. This class will be removed in Lucene 5.0

      @Deprecated
      public class SlowCollatedTermRangeTermsEnum
      extends FilteredTermsEnum

  Subclass of FilteredTermEnum for enumerating all terms that match the specified range parameters.

  Term enumerations are always ordered by `FilteredTermsEnum.getComparator()`. Each term in the enumeration is greater than all that precede it.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilteredTermsEnum

      `FilteredTermsEnum.AcceptStatus`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

      `TermsEnum.SeekStatus`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.TermsEnum

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlowCollatedTermRangeTermsEnum(TermsEnum tenum, String lowerTermText, String upperTermText, boolean includeLower, boolean includeUpper, Collator collator)` Deprecated. Enumerates all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FilteredTermsEnum.AcceptStatus` | `accept(BytesRef term)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.index.FilteredTermsEnum

      `attributes, docFreq, docs, docsAndPositions, getComparator, next, nextSeekTerm, ord, seekCeil, seekExact, seekExact, seekExact, setInitialSeekTerm, term, termState, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.TermsEnum

      `docs, docsAndPositions, seekCeil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlowCollatedTermRangeTermsEnum

          public SlowCollatedTermRangeTermsEnum(TermsEnum tenum,
                                        String lowerTermText,
                                        String upperTermText,
                                        boolean includeLower,
                                        boolean includeUpper,
                                        Collator collator)

      Deprecated.
      Enumerates all terms greater/equal than `lowerTerm` but less/equal than `upperTerm`. If an endpoint is null, it is said to be "open". Either or both endpoints may be open. Open endpoints may not be exclusive (you can't select all but the first or last term without explicitly specifying the term to exclude.)
      Parameters:
        `tenum` - source of the terms to enumerate.
        `lowerTermText` - The term text at the lower end of the range
        `upperTermText` - The term text at the upper end of the range
        `includeLower` - If true, the `lowerTerm` is included in the range.
        `includeUpper` - If true, the `upperTerm` is included in the range.
        `collator` - The collator to use to collate index Terms, to determine their membership in the range bounded by `lowerTerm` and `upperTerm`.

  - ### Method Detail

    - #### accept

          protected FilteredTermsEnum.AcceptStatus accept(BytesRef term)

      Deprecated.
      Specified by:
        `accept` in class `FilteredTermsEnum`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.